Skip to main content
PATCH
/
customers
/
{id}
Update a customer
curl --request PATCH \
  --url https://api.flatpeak.com/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reference_id": "CUS1234567890"
}
'
{
  "id": "cus_65e421d1daa4a24082b4f590",
  "object": "customer",
  "live_mode": true,
  "time_created": "2021-05-05T05:37:27Z",
  "account_id": "acc_65e421bed29d88d9012e0662",
  "reference_id": "CUS1234567890",
  "locations": [
    "loc_641b90b758fb8e6293716e40"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Path Parameters

id
string
required

Flatpeak customer_id.

Example:

"cus_a83ec6da1e0d4917b9e9abf58d60574e"

Body

application/json

Update a customer

reference_id
string

A reference that is meaningful to you, for example, an ID from your system.

Example:

"CUS1234567890"

Response

This object represents a customer of your business.

id
string
required

Flatpeak unique object Id.

Example:

"cus_65e421d1daa4a24082b4f590"

object
string
required

Represents the object’s type.

Example:

"customer"

live_mode
boolean
required

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

time_created
string
required

Time when the object was created, in UTC.

Example:

"2021-05-05T05:37:27Z"

account_id
string
required

Flatpeak unique account id

Example:

"acc_65e421bed29d88d9012e0662"

reference_id
string

A reference that is meaningful to you, for example, an ID from your system.

Example:

"CUS1234567890"

locations
string[]

An array of Flatpeak location IDs that are associated with this object.